BioException (BioJava-1.5-beta API)
Keywords: org.biojava.bio.BioException class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio
Class BioException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.biojava.bio.BioException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  AutomatonException, CircularReferenceException, DASException, DuplicateTaxonException, IllegalAlphabetException, IllegalIDException, IllegalSymbolException, IllegalTransitionException, ParseException, PDBParseException, RegexException, StructureException, UnsupportedChromatogramFormatException

    public class BioException

extends Exception

A nestable biological exception.

Since:
  1.0
Author:
  Matthew Pocock
See Also:
  Serialized Form
For general use:
  Catch this whenever a method throws it, and you want to handle the exception.
  Throw this whenever you have caught a Throwable and need to throw an Exception or BioException in your method.
For advanced users:
  Be sure to wrap up any causual throwable. It makes debugging your (and other peoples') code much easier.

Constructor Summary
`BioException()` Create a new BioException.
`BioException(String message)` Create a new BioException with a message.
`BioException(String message, Throwable ex)` Create a new BioException with a cause and a message.
`BioException(Throwable ex)` Create a new BioException with a cause.
`BioException(Throwable ex, String message)` Deprecated. use new BioException(message, ex) instead

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BioException

    public BioException(String message)

  Create a new BioException with a message.

  Parameters:
    `message` - the message

### BioException

    public BioException(Throwable ex)

  Create a new BioException with a cause.

  Parameters:
    `ex` - the Throwable that caused this BioException

### BioException

    public BioException(Throwable ex,
                        String message)

  Deprecated. use new BioException(message, ex) instead

  Create a new BioException with a cause and a message.

  Parameters:
    `ex` - the Throwable that caused this BioException
    `message` - the message

### BioException

    public BioException(String message,
                        Throwable ex)

  Create a new BioException with a cause and a message.

  Parameters:
    `message` - the message
    `ex` - the Throwable that caused this BioException

### BioException

    public BioException()

  Create a new BioException.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD